[Author Prev][Author Next][Thread Prev][Thread Next][Author Index][Thread Index]

gEDA-cvs: gaf.git: branch: master updated (1.5.0-20080706-322-g62229e7)



The branch, master has been updated
       via  62229e7d56bcc698a86e52e75d3ab274e0ffbe75 (commit)
       via  a9c125f23745182930972deb74879c39e8c9fa51 (commit)
       via  5e446736977dd4207b072c6666b6070be112aa1b (commit)
      from  c0ede86bc300a3b31574b709690530e693550c89 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


=========
 Summary
=========

 utils/gxyrs/Makefile.am        |    2 ++
 utils/tests/gxyrs/run_tests.sh |   16 +++++++++++++---
 2 files changed, 15 insertions(+), 3 deletions(-)


=================
 Commit Messages
=================

commit 62229e7d56bcc698a86e52e75d3ab274e0ffbe75
Author: Carlos Nieves Onega <cnieves@xxxxxxxxxx>
Date:   Wed Nov 26 23:24:08 2008 +0100

    Fixed typo in help message.
    
    Forgot to change the name of the script in the title of the
    help message when adapted this script from refdes_renum testsuite.
    Fixed now.

:100755 100755 fd1e4e9... 575700e... M	utils/tests/gxyrs/run_tests.sh

commit a9c125f23745182930972deb74879c39e8c9fa51
Author: Carlos Nieves Onega <cnieves@xxxxxxxxxx>
Date:   Wed Nov 26 23:19:20 2008 +0100

    Fix some gxyrs build problems with 'make distcheck'.
    
    'make distcheck' put the executables in a different tree than sources.
    Therefore, this script has to look in builddir directory for gxyrs
    script.
    
    As a bonus, gxyrs script location is now declared at the beginning
    of this script, and it checks if gxyrs script exists.

:100755 100755 6130d73... fd1e4e9... M	utils/tests/gxyrs/run_tests.sh

commit 5e446736977dd4207b072c6666b6070be112aa1b
Author: Carlos Nieves Onega <cnieves@xxxxxxxxxx>
Date:   Wed Nov 26 23:16:12 2008 +0100

    Explicitely declare target 'all' as gxyrs.

:100644 100644 a051c0b... cdc34b1... M	utils/gxyrs/Makefile.am

=========
 Changes
=========

commit 62229e7d56bcc698a86e52e75d3ab274e0ffbe75
Author: Carlos Nieves Onega <cnieves@xxxxxxxxxx>
Date:   Wed Nov 26 23:24:08 2008 +0100

    Fixed typo in help message.
    
    Forgot to change the name of the script in the title of the
    help message when adapted this script from refdes_renum testsuite.
    Fixed now.

diff --git a/utils/tests/gxyrs/run_tests.sh b/utils/tests/gxyrs/run_tests.sh
index fd1e4e9..575700e 100755
--- a/utils/tests/gxyrs/run_tests.sh
+++ b/utils/tests/gxyrs/run_tests.sh
@@ -27,7 +27,7 @@ regen=no
 usage() {
 cat << EOF
 
-$0 -- Testsuite program for refdes_renum
+$0 -- Testsuite program for gxyrs
 
 Usage
 

commit a9c125f23745182930972deb74879c39e8c9fa51
Author: Carlos Nieves Onega <cnieves@xxxxxxxxxx>
Date:   Wed Nov 26 23:19:20 2008 +0100

    Fix some gxyrs build problems with 'make distcheck'.
    
    'make distcheck' put the executables in a different tree than sources.
    Therefore, this script has to look in builddir directory for gxyrs
    script.
    
    As a bonus, gxyrs script location is now declared at the beginning
    of this script, and it checks if gxyrs script exists.

diff --git a/utils/tests/gxyrs/run_tests.sh b/utils/tests/gxyrs/run_tests.sh
index 6130d73..fd1e4e9 100755
--- a/utils/tests/gxyrs/run_tests.sh
+++ b/utils/tests/gxyrs/run_tests.sh
@@ -94,6 +94,8 @@ srcdir=`cd $srcdir && pwd`
 
 top_srcdir=${top_srcdir:-$here/../..}
 top_srcdir=`cd $top_srcdir && pwd`
+top_builddir=${top_builddir:-$here/../..}
+top_builddir=`cd $top_builddir && pwd`
 
 # the perl program
 PERL=${PERL:-perl}
@@ -111,6 +113,13 @@ if test ! -f $TESTLIST ; then
     exit 1
 fi
 
+GXYRS_SCRIPT=${top_builddir}/gxyrs/gxyrs
+if test ! -f $GXYRS_SCRIPT ; then
+    echo "ERROR: ($0)  gxyrs script $GXYRS_SCRIPT does not exist"
+    exit 1
+fi
+
+
 # fail/pass/total counts
 fail=0
 pass=0
@@ -130,6 +139,7 @@ srcdir:     $srcdir
 top_srcdir: $top_srcdir
 INPUT_DIR:  ${INPUT_DIR}
 GOLDEN_DIR: ${GOLDEN_DIR}
+script to test: ${top_srcdir}/gxyrs/gxyrs
 all_tests:
 
 ${all_tests}
@@ -173,9 +183,9 @@ for t in $all_tests ; do
     #
     
     if test "X$adjust_file" = "X" -o "X$adjust_file" = "X " ; then
-	command="cd ${rundir} && ${PERL} -w ${top_srcdir}/gxyrs/gxyrs $args $files --output $out_file 2> $error_file"
+	command="cd ${rundir} && ${PERL} -w ${GXYRS_SCRIPT} $args $files --output $out_file 2> $error_file"
     else
-	command="cd ${rundir} && ${PERL} -w ${top_srcdir}/gxyrs/gxyrs $args $files --adjust $adjust_file --output $out_file 2> $error_file"
+	command="cd ${rundir} && ${PERL} -w ${GXYRS_SCRIPT} $args $files --adjust $adjust_file --output $out_file 2> $error_file"
     fi
     echo "Running test ${t}"
     echo $command

commit 5e446736977dd4207b072c6666b6070be112aa1b
Author: Carlos Nieves Onega <cnieves@xxxxxxxxxx>
Date:   Wed Nov 26 23:16:12 2008 +0100

    Explicitely declare target 'all' as gxyrs.

diff --git a/utils/gxyrs/Makefile.am b/utils/gxyrs/Makefile.am
index a051c0b..cdc34b1 100644
--- a/utils/gxyrs/Makefile.am
+++ b/utils/gxyrs/Makefile.am
@@ -11,6 +11,8 @@ EXTRA_DIST = \
 	gxyrs.pl \
 	gxyrs.pm
 
+all: gxyrs
+
 distclean-local:
 	-rm -rf autom4te.cache
 




_______________________________________________
geda-cvs mailing list
geda-cvs@xxxxxxxxxxxxxx
http://www.seul.org/cgi-bin/mailman/listinfo/geda-cvs